## org.eclipse.datatools.sqltools.editor.template
Class GenericSQLContext

    java.lang.Object
      DocumentTemplateContext
          org.eclipse.datatools.sqltools.editor.template.GenericSQLContext

    public class GenericSQLContext

extends DocumentTemplateContext

Author:
  Hui Cao

Constructor Summary
`GenericSQLContext(TemplateContextType type, IDocument document, int completionOffset, int completionLength, ParsingResult result)`

Method Summary
`boolean` `canEvaluate(Template template)`
`TemplateBuffer` `evaluate(Template template)`
`java.lang.String[]` `getCursorNames()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericSQLContext

    public GenericSQLContext(TemplateContextType type,
                             IDocument document,
                             int completionOffset,
                             int completionLength,
                             ParsingResult result)

Parameters:
  `type` -
  `document` -
  `completionOffset` -
  `completionLength` -

Method Detail

### getCursorNames

    public java.lang.String[] getCursorNames()

  Returns:

### evaluate

    public TemplateBuffer evaluate(Template template)
                            throws BadLocationException,
                                   TemplateException

  Throws:
    `BadLocationException`
    `TemplateException`

### canEvaluate

    public boolean canEvaluate(Template template)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.